## UDisksDriveLsmLocal UDisksDriveLsmLocal — Generated C code for the org.freedesktop.UDisks2.Drive.LsmLocal D-Bus interface |

## Functions

GDBusInterfaceInfo * | udisks_drive_lsm_local_interface_info ()
guint | udisks_drive_lsm_local_override_properties ()
void | udisks_drive_lsm_local_proxy_new ()
UDisksDriveLsmLocal * | udisks_drive_lsm_local_proxy_new_finish ()
void | udisks_drive_lsm_local_proxy_new_for_bus ()
UDisksDriveLsmLocal * | udisks_drive_lsm_local_proxy_new_for_bus_finish ()
UDisksDriveLsmLocal * | udisks_drive_lsm_local_proxy_new_for_bus_sync ()
UDisksDriveLsmLocal * | udisks_drive_lsm_local_proxy_new_sync ()
UDisksDriveLsmLocal * | udisks_drive_lsm_local_skeleton_new ()

## Types and Values

| UDisksDriveLsmLocal
struct | UDisksDriveLsmLocalIface
struct | UDisksDriveLsmLocalProxy
struct | UDisksDriveLsmLocalProxyClass
struct | UDisksDriveLsmLocalSkeleton
struct | UDisksDriveLsmLocalSkeletonClass

## Description

This section contains code for working with the org.freedesktop.UDisks2.Drive.LsmLocal D-Bus interface in C.

## Functions

### udisks_drive_lsm_local_interface_info ()

    GDBusInterfaceInfo *
    udisks_drive_lsm_local_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Drive.LsmLocal D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_drive_lsm_local_override_properties ()

    guint
    udisks_drive_lsm_local_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the UDisksDriveLsmLocal interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_drive_lsm_local_proxy_new ()

    void
    udisks_drive_lsm_local_proxy_new (GDBusConnection *connection,
                                      GDBusProxyFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Drive.LsmLocal. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_drive_lsm_local_proxy_new_finish()` to get the result of the operation.

See `udisks_drive_lsm_local_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_drive_lsm_local_proxy_new_finish ()

    UDisksDriveLsmLocal *
    udisks_drive_lsm_local_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_lsm_local_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_lsm_local_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveLsmLocalProxy]

### udisks_drive_lsm_local_proxy_new_for_bus ()

    void
    udisks_drive_lsm_local_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_drive_lsm_local_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_drive_lsm_local_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_drive_lsm_local_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_drive_lsm_local_proxy_new_for_bus_finish ()

    UDisksDriveLsmLocal *
    udisks_drive_lsm_local_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_lsm_local_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_lsm_local_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveLsmLocalProxy]

### udisks_drive_lsm_local_proxy_new_for_bus_sync ()

    UDisksDriveLsmLocal *
    udisks_drive_lsm_local_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_drive_lsm_local_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_drive_lsm_local_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveLsmLocalProxy]

### udisks_drive_lsm_local_proxy_new_sync ()

    UDisksDriveLsmLocal *
    udisks_drive_lsm_local_proxy_new_sync (GDBusConnection *connection,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Drive.LsmLocal. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_drive_lsm_local_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveLsmLocalProxy]

### udisks_drive_lsm_local_skeleton_new ()

    UDisksDriveLsmLocal *
    udisks_drive_lsm_local_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Drive.LsmLocal.

#### Returns

The skeleton object.

[transfer full][type UDisksDriveLsmLocalSkeleton]

## Types and Values

### UDisksDriveLsmLocal

    typedef struct _UDisksDriveLsmLocal UDisksDriveLsmLocal;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Drive.LsmLocal.

### struct UDisksDriveLsmLocalIface

    struct UDisksDriveLsmLocalIface {
      GTypeInterface parent_iface;

      gboolean (*handle_turn_fault_ledoff) (
        UDisksDriveLsmLocal *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_turn_fault_ledon) (
        UDisksDriveLsmLocal *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_turn_ident_ledoff) (
        UDisksDriveLsmLocal *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      gboolean (*handle_turn_ident_ledon) (
        UDisksDriveLsmLocal *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Drive.LsmLocal.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_turn_fault_ledoff` () | Handler for the “handle-turn-fault-ledoff” signal. |
`handle_turn_fault_ledon` () | Handler for the “handle-turn-fault-ledon” signal. |
`handle_turn_ident_ledoff` () | Handler for the “handle-turn-ident-ledoff” signal. |
`handle_turn_ident_ledon` () | Handler for the “handle-turn-ident-ledon” signal. |

### struct UDisksDriveLsmLocalProxy

    struct UDisksDriveLsmLocalProxy {
    };

The UDisksDriveLsmLocalProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksDriveLsmLocalProxyClass

    struct UDisksDriveLsmLocalProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksDriveLsmLocalProxy.

#### Members

### struct UDisksDriveLsmLocalSkeleton

    struct UDisksDriveLsmLocalSkeleton {
    };

The UDisksDriveLsmLocalSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksDriveLsmLocalSkeletonClass

    struct UDisksDriveLsmLocalSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksDriveLsmLocalSkeleton.

#### Members